net.minecraft.entity.projectile

## Class EntityWitherSkull

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.projectile.EntityFireball
    - - net.minecraft.entity.projectile.EntityWitherSkull

-     public class EntityWitherSkull
      extends EntityFireball

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.projectile.EntityFireball

      `accelerationX, accelerationY, accelerationZ, shootingEntity`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityWitherSkull(World par1World)`
    `EntityWitherSkull(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`
    `EntityWitherSkull(World par1World, EntityLivingBase par2EntityLivingBase, double par3, double par5, double par7)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)` Called when the entity is attacked.
    `boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
    `float` | `getBlockExplosionResistance(Explosion par1Explosion, World par2World, int par3, int par4, int par5, Block par6Block)` Gets a block's resistance to this entity's explosion.
    `boolean` | `isBurning()` Returns true if the entity is on fire.
    `boolean` | `isInvulnerable()` Return whether this skull comes from an invulnerable (aura) wither boss.
    `void` | `setInvulnerable(boolean par1)` Set whether this skull comes from an invulnerable (aura) wither boss.

    - ### Methods inherited from class net.minecraft.entity.projectile.EntityFireball

      `getBrightness, getBrightnessForRender, getCollisionBorderSize, getShadowSize, isInRangeToRenderDist, onUpdate, readEntityFromNBT, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBoundingBox, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getExtendedProperties, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getTeleportDirection, getTranslatedEntityName, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityWitherSkull

          public EntityWitherSkull(World par1World)

    - #### EntityWitherSkull

          public EntityWitherSkull(World par1World,
                           EntityLivingBase par2EntityLivingBase,
                           double par3,
                           double par5,
                           double par7)

    - #### EntityWitherSkull

          public EntityWitherSkull(World par1World,
                           double par2,
                           double par4,
                           double par6,
                           double par8,
                           double par10,
                           double par12)

  - ### Method Detail

    - #### isBurning

          public boolean isBurning()

      Returns true if the entity is on fire. Used by render to add the fire effect on rendering.
      Overrides:
        `isBurning` in class `Entity`

    - #### getBlockExplosionResistance

          public float getBlockExplosionResistance(Explosion par1Explosion,
                                          World par2World,
                                          int par3,
                                          int par4,
                                          int par5,
                                          Block par6Block)

      Gets a block's resistance to this entity's explosion. Used to make rails immune to TNT minecarts' explosions and Wither skulls more destructive.
      Overrides:
        `getBlockExplosionResistance` in class `Entity`

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

      Returns true if other Entities should be prevented from moving through this Entity.
      Overrides:
        `canBeCollidedWith` in class `EntityFireball`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `EntityFireball`

    - #### isInvulnerable

          public boolean isInvulnerable()

      Return whether this skull comes from an invulnerable (aura) wither boss.

    - #### setInvulnerable

          public void setInvulnerable(boolean par1)

      Set whether this skull comes from an invulnerable (aura) wither boss.